Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class SBYNDCicsProxyResource

    java.lang.Object
      com.stc.eways.cics.SBYNDCicsProxyResource

    public final class SBYNDCicsProxyResource

extends java.lang.Object

The `SBYNDCicsProxyResource` class represents All localized resources such as error messages, trace messages, configuration names etc. for `CICSClient` and `SBYNDCicsProxy`; it is backed by localizable property file `SBYNDCicsProxyLocales.properties`; Also it is an error & message logging utility class;

Field Summary
`static java.util.ResourceBundle` | `resource`

Constructor Summary
`SBYNDCicsProxyResource()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String key)` Given a key to the localized message, returns the localized message;
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.Object[] parameters)` Given a key to the localized message and parameters applicable, returns the localized message with parameters;
`static void` | `printError(com.stc.connector.logging.Logger logger, java.lang.String key)` Given a key to the localized error message, Trace the message as ERROR;
`static void` | `printError(com.stc.connector.logging.Logger logger, java.lang.String key, int param)`
`static void` | `printError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params)` Given a key to the localized error message, Trace the message as ERROR;
`static void` | `printError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params, java.lang.Exception ex)` Given a key to the localized error message, Trace the message as ERROR;
`static void` | `printError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.String param)`
`static void` | `printErrorStr(com.stc.connector.logging.Logger logger, java.lang.String msg)` Given a message, trace the message as ERROR;
`static void` | `printInformation(com.stc.connector.logging.Logger logger, java.lang.String key)` Given a key to the localized error message, Trace the message as INFORMATION;
`static void` | `printInformation(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Exception e)` Given a key to the localized error message, Trace the message as INFORMATION;
`static void` | `printMessage(com.stc.connector.logging.Logger logger, java.lang.String msg)` Given a message, trace the message as INFORMATION;
`static void` | `printMessageStr(com.stc.connector.logging.Logger logger, java.lang.String msg)` Given a message, trace the message as TRACE;
`static void` | `printTrace(com.stc.connector.logging.Logger logger, java.lang.String key)` Given a key to the localized error message, Trace the message as TRACE;
`static void` | `printTrace(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Exception e)` Given a key to the localized error message, Trace the message as TRACE;
`static void` | `printTrace(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params)` Given a key to the localized error message, Trace the message as TRACE;
`static void` | `printTrace(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.String param)` Given a key to the localized error message, Trace the message as TRACE;
`static void` | `reportConnError(com.stc.connector.logging.Logger logger, java.lang.String key)` Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;
`static void` | `reportConnError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Exception ex)` Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;
`static void` | `reportConnError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params)` Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;
`static void` | `reportConnError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params, java.lang.Exception ex)` Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Exception ex)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key, int param)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.Object[] params, java.lang.Exception ex)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;
`static void` | `reportError(com.stc.connector.logging.Logger logger, java.lang.String key, java.lang.String param)` Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resource

    public static java.util.ResourceBundle resource

Constructor Detail

### SBYNDCicsProxyResource

    public SBYNDCicsProxyResource()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.Object[] parameters)

  Given a key to the localized message and parameters applicable, returns the localized message with parameters;

  Parameters:
    `key` - The key for the message.
    `parameters` - The parameters in the message.
  Returns:
    The localized message.

### getMessage

    public static java.lang.String getMessage(java.lang.String key)

  Given a key to the localized message, returns the localized message;

  Parameters:
    `key` - The key for the message.
  Returns:
    The localized message.

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message.
  Throws:
    `CicsClientException`

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key,
                                   java.lang.String param)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message.
  Throws:
    `CicsClientException`

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key,
                                   int param)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message.
  Throws:
    `CicsClientException`

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key,
                                   java.lang.Object[] params)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message.
    `params` - The parameters for the message.
  Throws:
    `CicsClientException`

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key,
                                   java.lang.Object[] params,
                                   java.lang.Exception ex)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;
    `ex` - The exception to be passed onto CicsClientException;
  Throws:
    `CicsClientException`

### reportError

    public static void reportError(com.stc.connector.logging.Logger logger,
                                   java.lang.String key,
                                   java.lang.Exception ex)
                            throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CicsClientException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `ex` - The exception to be passed onto CicsClientException;
  Throws:
    `CicsClientException`

### printError

    public static void printError(com.stc.connector.logging.Logger logger,
                                  java.lang.String key)

  Given a key to the localized error message, Trace the message as ERROR;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;

### printError

    public static void printError(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.String param)

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameter for the message;

### printError

    public static void printError(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  int param)

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameter for the message;

### printError

    public static void printError(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.Object[] params)

  Given a key to the localized error message, Trace the message as ERROR;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;

### printError

    public static void printError(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.Object[] params,
                                  java.lang.Exception ex)

  Given a key to the localized error message, Trace the message as ERROR;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;
    `ex` - The exception that caused the error;

### reportConnError

    public static void reportConnError(com.stc.connector.logging.Logger logger,
                                       java.lang.String key)
                                throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
  Throws:
    `CicsClientException`

### reportConnError

    public static void reportConnError(com.stc.connector.logging.Logger logger,
                                       java.lang.String key,
                                       java.lang.Object[] params)
                                throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;
  Throws:
    `CicsClientException`

### reportConnError

    public static void reportConnError(com.stc.connector.logging.Logger logger,
                                       java.lang.String key,
                                       java.lang.Object[] params,
                                       java.lang.Exception ex)
                                throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;
    `ex` - The exception that caused the error;
  Throws:
    `CicsClientException`

### reportConnError

    public static void reportConnError(com.stc.connector.logging.Logger logger,
                                       java.lang.String key,
                                       java.lang.Exception ex)
                                throws CicsClientException

  Given a key to the localized error message, Trace the message as ERROR and throw CollabConnException with the message as exception message;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `ex` - The exception that caused the error;
  Throws:
    `CicsClientException`

### printTrace

    public static void printTrace(com.stc.connector.logging.Logger logger,
                                  java.lang.String key)

  Given a key to the localized error message, Trace the message as TRACE;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;

### printTrace

    public static void printTrace(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.Exception e)

  Given a key to the localized error message, Trace the message as TRACE;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `e` - The exception that caused the error;

### printTrace

    public static void printTrace(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.Object[] params)

  Given a key to the localized error message, Trace the message as TRACE;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;

### printTrace

    public static void printTrace(com.stc.connector.logging.Logger logger,
                                  java.lang.String key,
                                  java.lang.String param)

  Given a key to the localized error message, Trace the message as TRACE;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `params` - The parameters for the message;

### printInformation

    public static void printInformation(com.stc.connector.logging.Logger logger,
                                        java.lang.String key)

  Given a key to the localized error message, Trace the message as INFORMATION;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;

### printInformation

    public static void printInformation(com.stc.connector.logging.Logger logger,
                                        java.lang.String key,
                                        java.lang.Exception e)

  Given a key to the localized error message, Trace the message as INFORMATION;

  Parameters:
    `logger` - The category logger.
    `key` - The key to the message;
    `e` - The exception that caused the error;

### printMessage

    public static void printMessage(com.stc.connector.logging.Logger logger,
                                    java.lang.String msg)

  Given a message, trace the message as INFORMATION;

  Parameters:
    `logger` - The category logger.
    `msg` - The message;

### printMessageStr

    public static void printMessageStr(com.stc.connector.logging.Logger logger,
                                       java.lang.String msg)

  Given a message, trace the message as TRACE;

  Parameters:
    `logger` - The category logger.
    `msg` - The message;

### printErrorStr

    public static void printErrorStr(com.stc.connector.logging.Logger logger,
                                     java.lang.String msg)

  Given a message, trace the message as ERROR;

  Parameters:
    `logger` - The category logger.
    `msg` - The message;

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD